## org.eclipse.datatools.sqltools.result.internal.utils
Class StatusTextProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.utils.StatusTextProvider

    public class StatusTextProvider

extends java.lang.Object

Utilility class to get some status related message

Author:
  Dafan Yang

Constructor Summary
`StatusTextProvider()`

Method Summary
`static java.lang.String` `getHistoryHeader(IResultInstance instance)` Returns the full history header for saving purpose
`static java.lang.String` `getSimpleHeader(IResultInstance instance)` Returns the simple history header for saving purpose
`static java.lang.String` `getStatusText(IResultInstance instance)` Returns the status text for showing it in "status" tab
`static java.lang.String` `getUpdateCountText(int updateCount)` Gets the update count message given the update count

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusTextProvider

    public StatusTextProvider()

Method Detail

### getUpdateCountText

    public static java.lang.String getUpdateCountText(int updateCount)

  Gets the update count message given the update count

  Parameters:
    `updateCount` - the update count
  Returns:
    the update count message

### getStatusText

    public static java.lang.String getStatusText(IResultInstance instance)

  Returns the status text for showing it in "status" tab

  Parameters:
    `instance` - the given result instance
  Returns:
    the status text for showing it in "status" tab

### getHistoryHeader

    public static java.lang.String getHistoryHeader(IResultInstance instance)

  Returns the full history header for saving purpose

  Parameters:
    `instance` - the given result instance
  Returns:
    the full history header for saving purpose

### getSimpleHeader

    public static java.lang.String getSimpleHeader(IResultInstance instance)

  Returns the simple history header for saving purpose

  Parameters:
    `instance` - the given result instance
  Returns:
    the simple history header for saving purpose